ThreeB 1.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Private Member Functions
NullUICallback Class Reference

User interface callback class which does nothing. More...

Inheritance diagram for NullUICallback:

List of all members.

## Private Member Functions
void | per_spot (int, int, int, int)
void | per_modification (int, int, int)
void | per_pass (int, int, const std::vector< TooN::Vector< 4 > > &)
void | perhaps_stop ()

## Detailed Description

User interface callback class which does nothing.

Definition at line 71 of file multispot5.cc.

## Member Function Documentation

void NullUICallback::per_spot | ( | int | iteration,
|  | int | pass,
|  | int | spot_num,
|  | int | total_spots
| ) |  | `[inline, private, virtual]`

This function is called once per spot in each pass.

The idea is to provide a display along the lines of: Iteration #1 optimizing #2% complete

Parameters:

  iteration | Iteration number
  pass | Pass number
  spot_num | Spot currently being optimized
  total_spots | Total number of spots to be optimized

Implements UserInterfaceCallback.

Definition at line 73 of file multispot5.cc.

    {};

void NullUICallback::per_modification | ( | int | iteration,
|  | int | spot_num,
|  | int | total_spots
| ) |  | `[inline, private, virtual]`

This function is called once per spot in the modification phase.

The idea is to provide a display along the lines of: Iteration #1 modifying #2% complete

Parameters:

  iteration | Iteration number
  spot_num | Spot currently being optimized
  total_spots | Total number of spots to be optimized

Implements UserInterfaceCallback.

Definition at line 74 of file multispot5.cc.

    {};

void NullUICallback::per_pass | ( | int | iteration,
|  | int | pass,
|  | const std::vector< TooN::Vector< 4 > > & | spots
| ) |  | `[inline, private, virtual]`

This function is called once each time PASS data is outputted.

It will allow the GUI to build up a reconstruction.

Parameters:

  iteration | Iteration number
  pass | Pass number
  spots | Data to be reconstructed

Implements UserInterfaceCallback.

Definition at line 75 of file multispot5.cc.

    {};

void NullUICallback::perhaps_stop | ( |  | ) | `[inline, private, virtual]`

The user wishes to issue a stop instruction to the program (perhaps done via an asynchronus call to an instance of of UserInterfaceCallback).

This function is called as often as possible and will throw UserIssuedStop when the condition is met.

Implements UserInterfaceCallback.

Definition at line 76 of file multispot5.cc.

    {};

The documentation for this class was generated from the following file:

- multispot5.cc